List stock statuses
GET
/listings/statuses
const url = 'https://acme.mykreezalid.com/api/v1/listings/statuses';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://acme.mykreezalid.com/api/v1/listings/statuses \ --header 'Authorization: Basic <credentials>'Returns the stock statuses a listing can have: on sale (1) and sold out (2).
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The statuses
Media typeapplication/json
object
statuses
Array<object>
object
id
integer
label
string
Example
{ "statuses": [ { "id": 1, "label": "STATUS_ON_SALE" }, { "id": 2, "label": "STATUS_SOLD_OUT" } ]}Missing or wrong API credentials